\version "2.13.1"


\header {
  scorenumberbase="EK-0005"
  title = "Messe Solennelle"
  subtitle = \markup{en \concat{ut\sharp} mineur}
  composer = "Louis Vierne (1870-1937)"
  copyright = \markup \abs-fontsize #9 \column {
    \line { "© 2010, " \concat{\with-url #"http://www.edition-kainhofer.com/" {"Edition Kainhofer, Vienna"},} \concat{\fromproperty #'header:scorenumber .} "Alle Rechte vorbehalten / All rights reserved / Printed in Austria."}
  }
}

% Possibly adjust the \orchestralScoreStructure here...
\orchestralScoreStructure #'(
; Vocal voices
  ("ChoralScore" "ChoirStaff" ("S" "A" "T" "B"))
; Organs
  ("OI" "PianoStaff" ("OIr" "OIl"))
  ("OII" "StaffGroup" ("OIIhands" "OIIbass"))
  ("OIIhands" "PianoStaff" ("OIIr" "OIIl"))
; full scores
  ("OrganScore" "SimultaneousMusic" ("ChoralScore" "OI" "OII"))
)

%%% Clef definitions, either old-style (using the Breitkopf style) or new style
OIrClef = \clef "treble"
OIlClef = \clef "bass"
OIIrClef = \clef "treble"
% OIIlClef = \clef "bass"
OIIlClef = \clef "treble"
OIIbassClef = \clef "bass"

OIInstrumentName = \markup { \column { "Orgue" "de" "Chœur" } }
OIIInstrumentName = \markup {\column {"Grand" "Orgue"}}

OIInstrumentTitle = "Orgue  de Chœur"
OIIInstrumentTitle = "Grand Orgue"

OIShortInstrumentName = \markup { \column { "O. de" "Ch." } }
OIIShortInstrumentName = \markup { \column { \line{"G."\hspace #-1.5 \raise #1.0 \teeny "d" "O." }} }



\layout {
  \context { \Staff
    \override VerticalAxisGroup #'remove-empty = ##f
  }
}


crescMolto = #(make-music 'CrescendoEvent 'span-direction START 'span-type 'text 'span-text "cresc.molto")
crescPoco = #(make-music 'CrescendoEvent 'span-direction START 'span-type 'text 'span-text "cresc.poco a poco")
dimMolto = #(make-music 'DecrescendoEvent 'span-direction START 'span-type 'text 'span-text "dim.molto")

pocoAllarg = \markup {\italic "poco allarg."}
pocoRit = \markup {\italic "poco rit."}
dolce = \markup {\italic "dolce."}
cantabile = ^\markup {\italic "cantabile"}
sostenuto = ^\markup {\italic "sostenuto"}

vOne = {\voiceOne \revert MultiMeasureRest #'staff-position }
vTwo = {\voiceTwo \revert MultiMeasureRest #'staff-position }
vThree = {\voiceThree \revert MultiMeasureRest #'staff-position }
vFour = {\voiceFour \revert MultiMeasureRest #'staff-position }
oneV = {\oneVoice \revert MultiMeasureRest #'staff-position }

semprefff = #(make-dynamic-script (markup #:line( #:with-dimensions '(0 . 0)
'(0 . 0) #:right-align #:normal-text #:italic "sempre" #:dynamic "fff")))
sempreff = #(make-dynamic-script (markup #:line( #:with-dimensions '(0 . 0)
'(0 . 0) #:right-align #:normal-text #:italic "sempre" #:dynamic "ff")))
subitopp = #(make-dynamic-script (markup #:line( #:with-dimensions '(0 . 0)
'(0 . 0) #:right-align #:normal-text #:italic "subito" #:dynamic "pp")))

OrganR = \markup{R.}
OrganGPR = \markup{G.P.R.}
OrganPedGPR = \markup{PED.G.P.R.}
OrganPR = \markup{P.R.}
OrganPed = \markup{PED.}
OrganMan = \markup{MAN.}

\layout {
  \context {
    \type "Engraver_group"
    \name Dynamics
    \alias Voice % So that \cresc works, for example.
    \consists "Output_property_engraver"

    \override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
    pedalSustainStrings = #'("Ped." "*Ped." "*")
    pedalUnaCordaStrings = #'("una corda" "" "tre corde")

    \consists "Piano_pedal_engraver"
    \consists "Script_engraver"
    \consists "Dynamic_engraver"
    \consists "Text_engraver"

    \override TextScript #'font-size = #2
    \override TextScript #'font-shape = #'italic
    \override DynamicText #'extra-offset = #'(0 . 2.5)
    \override Hairpin #'extra-offset = #'(0 . 2.5)

    \consists "Skip_event_swallow_translator"

    \consists "Axis_group_engraver"
  }
  \context {
    \PianoStaff
    \accepts Dynamics
%     \override VerticalAlignment #'forced-distance = #7
  }
}
